#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA678_F31E_F31J_X31J_P31J_SU1E_AU1E_AU2E_AU3E
BOOLEAN F7086_IsReadyToMakeNewAdventure(
)
{
#ifdef MEDIA772_SU1E
        GAME* L5815_ps_Game;
        CSB_SAVE_HEADER* L5816_;
#endif
        char* L4027_pc_;


#ifdef MEDIA772_SU1E
        L5815_ps_Game = &G7111_Games[C0_GAME_SOURCE];
        L4027_pc_ = G7084_CANT_MAKE_NEW_ADVENTURE_FROM_THIS_SAVED_GAME;
#endif
        if (!G7111_Games[C0_GAME_SOURCE].GameLoaded || !G7114_LoadedChampionCount) {
                L4027_pc_ = G7083_THE_NEW_ADVENTURE_CAN_ONLY_BE_MADE_AFTER_A_SAVED_GAME_IS_LOADED;
        } else {
#ifdef MEDIA772_SU1E
                L5816_ = &L5815_ps_Game->SaveHeader;
                if (L5815_ps_Game->SaveHeaderFormat != C0x01_SAVE_HEADER_FORMAT_DUNGEON_MASTER) {
                        if (((L5816_->FormatID != C1_FORMAT_DM_ATARI_ST) && (L5816_->Platform != C1_PLATFORM_ATARI_ST)) || (L5816_->DungeonID > C12_DUNGEON_CSB_PRISON)) {
                                goto loc_26A6;
                        }
                } else {
                        if ((L5815_ps_Game->SaveHeader.FormatID > C1_FORMAT_DM_ATARI_ST) && ((L5815_ps_Game->SaveHeader.Platform != C1_PLATFORM_ATARI_ST) || (L5815_ps_Game->SaveHeader.DungeonID > C12_DUNGEON_CSB_PRISON))) {
                                goto loc_26A6;
                        }
                }
                return F7076_AreAllChampionNamesUnique();
        }
        loc_26A6:
        F7072_GetDialogChoiceOrdinal(L4027_pc_, C08_COLOR_RED, G7060_OK, &G2263_s_Input_Dialog1Choice);
#endif
#ifdef MEDIA676_F31E_F31J_X31J_P31J_AU1E_AU2E_AU3E
                L4027_pc_ = G7084_CANT_MAKE_NEW_ADVENTURE_FROM_THIS_SAVED_GAME;
                if (F7272_IsDungeonValid(&G7111_Games[C0_GAME_SOURCE], 3)) {
                        return F7076_AreAllChampionNamesUnique();
                }
        }
        F7074_DrawDialogErrorMessage(L4027_pc_, C08_COLOR_RED);
#endif
        return C0_FALSE;
}

#ifdef MEDIA772_SU1E
BOOLEAN F1996_(GAME* P5909_) {
        CSB_SAVE_HEADER* L5768_;
        char* L5769_;


        L5769_ = G7084_CANT_MAKE_NEW_ADVENTURE_FROM_THIS_SAVED_GAME;
        L5768_ = &P5909_->SaveHeader;
        if ((P5909_->SaveHeaderFormat == C0x02_SAVE_HEADER_FORMAT_CHAOS_STRIKES_BACK) && (L5768_->FormatID >= C2_FORMAT_DM_AMIGA_2X_PC98_X68000_FM_TOWNS_CSB_ATARI_ST) && (L5768_->DungeonID == C13_DUNGEON_CSB_GAME)) {
                return C1_TRUE;
        } else {
                F7072_GetDialogChoiceOrdinal(L5769_, C08_COLOR_RED, G7060_OK, &G2263_s_Input_Dialog1Choice);
                return C0_FALSE;
        }
}
#endif
#endif
